function [lineHandle_store,textHandle_store]=graph_draw(node_g)

lineHandle_store = [];
textHandle_store = [];
for ii=1:size(node_g,2)
    xy_node_p = node_g(ii).pos;
%     % plot the node
%     if ii==1,
%         plot(xy_node_p(1),xy_node_p(2),'bo','MarkerSize',8);
%         text(xy_node_p(1)+1,xy_node_p(2)+.5,int2str(ii) +"-Initial");
%     else
%         if ii== size(node_g,2)
%             plot(xy_node_p(1),xy_node_p(2),'gd','MarkerSize',8);
%             text(xy_node_p(1)+1,xy_node_p(2)+.5,int2str(ii)+"-Target");
%         else
%             plot(xy_node_p(1),xy_node_p(2),'ro','MarkerSize',5);
%             text(xy_node_p(1)+1,xy_node_p(2)+.5,int2str(ii));
%         end
%     end
    % plot the edges between the node and adjacent nodes
    for kk=1:size(node_g(ii).adjNode,2)
        xy_adjNode_p = node_g(ii).adjNode(kk).pos;
        lineHandle=line([xy_node_p(1) xy_adjNode_p(1)],[xy_node_p(2) xy_adjNode_p(2)]);
        lineHandle_store = [lineHandle_store lineHandle];
        % plot edgeCost
        xOffset = xy_adjNode_p(1) - xy_node_p(1);
        yOffset = xy_adjNode_p(2) - xy_node_p(2);
        if xOffset >=0,
            textHandle = text('Position', [(xy_node_p(1) + xOffset/2) (xy_node_p(2) + yOffset/2)], ...
            'HorizontalAlignment', 'center', ...
            'VerticalAlignment', 'bottom', ...
            'string', [node_g(ii).edgeCost(kk)]);
        else
            textHandle = text('Position', [(xy_node_p(1) + xOffset/2) (xy_node_p(2) + yOffset/2)], ...
            'HorizontalAlignment', 'center', ...
            'VerticalAlignment', 'top', ...
            'string', [node_g(ii).edgeCost(kk)]);
        end
        set(textHandle, 'Rotation', rad2deg(atan(yOffset/xOffset)));
        textHandle_store = [textHandle_store textHandle];
    end
    
end
end